package com.pixelized.server.lwa.server.rest.item

import com.pixelized.server.lwa.server.Engine
import com.pixelized.server.lwa.utils.extentions.exception
import com.pixelized.shared.lwa.protocol.rest.APIResponse
import io.ktor.server.response.respond
import io.ktor.server.routing.RoutingContext

fun Engine.getItems(): suspend RoutingContext.() -> Unit {
    return {
        try {
            call.respond(
                message = APIResponse.success(
                    data = itemService.items(),
                )
            )
        } catch (exception: Exception) {
            call.exception(
                exception = exception,
            )
        }
    }
}